package org.exist;

import net.sf.xanswer.storage.map.PersistentMap;
import net.sf.xanswer.storage.map.PersistentFactoryImplBase;

/**
 * The <i>Concrete Factory</i> for creating the eXist DbAPI
 * implementation.
 */
public class PersistentFactoryImplExist extends PersistentFactoryImplBase {
    
    protected String getNamePrefix() {
        return "exist";
    }
    
    protected PersistentMap instantiateDbApi() {
        return new PersistentMapImplExist(this);
    }

    protected boolean isDirectoryDatabase() {
        return false;
    }

}
