package org.exist;

import net.sf.xanswer.storage.map.PersistentMap;
import net.sf.xanswer.storage.map.PersistentFactoryImplBase;

/**
 * The <i>Concrete Factory</i> for creating the modificated eXist 
 * PersistentMap implementation.
 */
public class PersistentFactoryImplUllman extends PersistentFactoryImplBase {
    
    protected String getNamePrefix() {
        return "ullman";
    }
    
    protected PersistentMap instantiateDbApi() {
        return new PersistentMapImplUllman(this);
    }

    protected boolean isDirectoryDatabase() {
        return false;
    }

}
